import 'package:easy_pass_common/model/form_view_model.dart';
import 'package:easy_pass_common/model/session.dart';
import 'package:flutter/material.dart';
import 'package:get_it/get_it.dart';

class SignInViewModel extends FormViewModel {
  final signInFormKey = GlobalKey<FormState>();
  final session = GetIt.instance<Session>();

  String userEmail;
  String userPassword;

  Future<bool> singIn() async {
    if (this.validateFormInputs()) {
      this.session.setUserEmail(userEmail);
      this.session.setUserPassword(userPassword);
      await this.session.login();
      return true;
    }
    return false;
  }

  @override
  bool validateFormInputs() {
    return signInFormKey.currentState.validate();
  }
}
