import 'package:easy_pass_common/model/sing_in_view_model.dart';
import 'package:easy_pass_common/ui/widget/sing_in/sign_in_email_input.dart';
import 'package:easy_pass_common/ui/widget/sing_in/sign_in_password_input.dart';
import 'package:easy_pass_common/ui/widget/sing_in/sign_in_register_user_url.dart';
import 'package:easy_pass_common/ui/widget/sing_in/sing_in_button.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class LoginView extends StatelessWidget {
  
  @override
  Widget build(BuildContext context) {

    final singInViewModel = Provider.of<SignInViewModel>(context);

    return Scaffold(
        body: Container(
        margin: const EdgeInsets.only(left: 28, right: 28, top: 32),
        child: Form(
          key: singInViewModel.signInFormKey,
          child: ListView(
            shrinkWrap: true,
            children: <Widget>[
              Padding(
                padding: const EdgeInsets.only(bottom: 36, top: 100),
                child: Text('Sign in', style: TextStyle(fontSize: 60), textAlign: TextAlign.center),
              ),              
              Padding( 
                padding: const EdgeInsets.only(bottom: 8),
                child: SignInEmailInput(),
              ),
              Padding( 
                padding: const EdgeInsets.only(bottom: 8),
                child: SignInPasswordInput(),
              ),
              Padding( 
                padding: const EdgeInsets.only(bottom: 8),
                child: SignInButton(),
              ),
              Padding(
                padding: const EdgeInsets.all(8.0),
                child: SignInSignUpUrl(),
              )
            ]
          )
        )
      )
    ); 
  }
}