import 'package:easy_pass_common/model/sign_up_view_model.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class SignUpDatePicker extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    final signUpViewModel = Provider.of<SignUpViewModel>(context);

    return Container(
      child: TextFormField(
        decoration: InputDecoration(
          labelText: 'Date of birth',
        ),
        controller: signUpViewModel.dateOfBirthInputController,       
        onTap: () => showDatePicker(
          context: context,
          initialDate: DateTime.now(),
          firstDate: DateTime(1900),
          lastDate: DateTime.now(),
          builder: (BuildContext context, Widget child) {
            return Theme(
              data: ThemeData.dark(),
              child: child,
            );
          },
        ).then(signUpViewModel.updateUserDateOfBirth),
        validator: (text) => signUpViewModel.genericTextInputValidor('date_of_birth', text, 'Enter date of birth'),
      )
    );
  }  
}