import 'dart:convert';

import 'package:easy_pass_common/dto/event.dart';
import 'package:flutter_test/flutter_test.dart';

import '../fixture_reader.dart';

void main() {
  group('Event - ', () {
    test('constructor - will initilize internal variables', () async {
      var event = Event.fromJson(json.decode(fixture('event.json')));

      expect(event, isNotNull);
      expect(event.id, equals(1));
      expect(event.name, equals('event 1'));
      expect(event.description, equals('description'));
      expect(
          event.startTime, equals(DateTime.parse('2020-02-29T23:41:09.804Z')));
      expect(event.endTime, equals(DateTime.parse('2020-02-29T23:41:09.804Z')));
    });
  });
}
